Skip to content
Permalink
Browse files

Update the minimum required PHP version to PHP 7.0

Merge remote-tracking branch 'upstream/pr/14488' into 3.x

* upstream/pr/14488:
  Update the minimum required PHP version to PHP 7.0
  • Loading branch information...
JoshuaLuckers committed Apr 28, 2019
2 parents 5feac68 + 660aa36 commit 9ce0fd5d8f26c64b1d4bda4eec35b70fe3f07895
Showing with 7 additions and 8 deletions.
  1. +1 −3 .travis.yml
  2. +2 −2 composer.json
  3. +1 −0 core/docs/changelog.txt
  4. +2 −2 manager/index.php
  5. +1 −1 setup/includes/test/modinstalltest.class.php
@@ -11,7 +11,6 @@ php:
- 7.2
- 7.1
- 7.0
- 5.6
- nightly

matrix:
@@ -27,5 +26,4 @@ mysql:
before_script: 'composer install -n && cd _build/test && ./generateConfigs.sh'

before_install:
- if [[ ${TRAVIS_PHP_VERSION:0:3} == "5.5" ]]; then curl -sL -o ~/.phpenv/versions/5.5/bin/phpunit https://phar.phpunit.de/phpunit-4.8.phar; chmod +x ~/.phpenv/versions/5.5/bin/phpunit; fi
- if [[ "(7.0 7.1 7.2 7.3 nightly)" =~ $(phpenv version-name) ]]; then curl -sL -o ~/.phpenv/versions/$(phpenv version-name)/bin/phpunit https://phar.phpunit.de/phpunit-5.7.phar; chmod +x ~/.phpenv/versions/$(phpenv version-name)/bin/phpunit; fi
- if [[ "(7.0 7.1 7.2 7.3 nightly)" =~ $(phpenv version-name) ]]; then curl -sL -o ~/.phpenv/versions/$(phpenv version-name)/bin/phpunit https://phar.phpunit.de/phpunit-6.5.phar; chmod +x ~/.phpenv/versions/$(phpenv version-name)/bin/phpunit; fi
@@ -43,7 +43,7 @@
"vendor-dir": "core/vendor"
},
"require": {
"php": ">=5.6",
"php": ">=7.0",
"xpdo/xpdo": "^3.0@dev",
"league/flysystem": "^1.0",
"league/flysystem-aws-s3-v3": "^1.0",
@@ -91,7 +91,7 @@
"minimum-stability": "dev",
"prefer-stable": true,
"require-dev": {
"phpunit/phpunit": "~5.7|~6.5",
"phpunit/phpunit": "^6",
"php-coveralls/php-coveralls": "~2.1"
}
}
@@ -4,6 +4,7 @@ development release, and is only shown to give an idea of what's currently in th

MODX Revolution 3.0.0-beta1 (TBD)
====================================
- The minimum required PHP version for MODX is PHP 7.0 [#14488]
- If you edit a resource and at the same time move it in the tree through drag and drop the menuindex will now stay in sync [#14423]
- Alter modUserProfile gender field to tinyint from int [#14412]
- Return empty string for empty xml tag in modRestService [#14305]
@@ -24,9 +24,9 @@
}
/* check for correct version of php */
$php_ver_comp = version_compare(phpversion(),'5.6');
$php_ver_comp = version_compare(phpversion(),'7.0');
if ($php_ver_comp < 0) {
die('Wrong php version! You\'re using PHP version "'.phpversion().'", and MODX Revolution only works on 5.6 or higher.');
die('Wrong php version! You\'re using PHP version "'.phpversion().'", and MODX Revolution only works on 7.0 or higher.');
}
/* set the document_root */
@@ -79,7 +79,7 @@ protected function _checkPHPVersion() {
$phpVersion = phpversion();
$recommended_version = "7.2";
$required_version = "5.6";
$required_version = "7.0";
$php_ver_comp = version_compare($phpVersion,$required_version,'>=');

0 comments on commit 9ce0fd5

Please sign in to comment.
You can’t perform that action at this time.